Name: libpcap
%define vers_maj 0.7
%define vers_min 2
Version: %vers_maj.%vers_min
Release: alt2
Serial: 2

Summary: A system-independent interface for user-level packet capture
License: BSD
Group: System/Libraries
Url: http://www.tcpdump.org

Source: %url/release/%name-%version.tar.bz2
Patch: %name-0.7.2-nmap-alt-owl-pcap_linux_honor_timeout.patch

# Automatically added by buildreq on Tue Jun 03 2003
BuildRequires: flex

%package devel
Summary: Development environment for the packet capture library
Group: Development/C
Requires: %name = %serial:%version-%release

%package devel-static
Summary: Static packet capture library
Group: Development/C
Requires: %name-devel = %serial:%version-%release

%description
Libpcap provides a portable framework for low-level network monitoring.
Libpcap can provide network statistics collection, security monitoring
and network debugging.  Since almost every system vendor provides a
different interface for packet capture, the %name authors created this
system-independent API to ease in porting and to alleviate the need for
several system-dependent packet capture modules in each application.

%description devel
Libpcap provides a portable framework for low-level network monitoring.
Libpcap can provide network statistics collection, security monitoring
and network debugging.  Since almost every system vendor provides a
different interface for packet capture, the %name authors created this
system-independent API to ease in porting and to alleviate the need for
several system-dependent packet capture modules in each application.

This package contains development files needed to develop %name-based
applications such as tcpdump, etc.

%description devel-static
Libpcap provides a portable framework for low-level network monitoring.
Libpcap can provide network statistics collection, security monitoring
and network debugging.  Since almost every system vendor provides a
different interface for packet capture, the %name authors created this
system-independent API to ease in porting and to alleviate the need for
several system-dependent packet capture modules in each application.

This package contains the static pcap library needed to develop statically
linked %name-based applications.

%prep
%setup -q
%patch -p1 -b .orig

find -type d -name CVS -print0 |
	xargs -r0 %__rm -rf --
find -type f -name .cvsignore -print -delete

%build
%configure --enable-ipv6

# First build shared,
%make_build CCOPT="$RPM_OPT_FLAGS %optflags_shared"
gcc -shared -Wl,-soname -Wl,%name.so.%vers_maj -o %name.so.%version \
	-Wl,-whole-archive %name.a -Wl,-no-whole-archive

# then static.
make clean
%make_build CCOPT="$RPM_OPT_FLAGS"

%install
%__mkdir_p $RPM_BUILD_ROOT%_man3dir
%makeinstall
%__install -p -m644 %name.so.%version $RPM_BUILD_ROOT%_libdir/
%__ln_s %name.so.%version $RPM_BUILD_ROOT%_libdir/%name.so

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc CHANGES CREDITS README README.linux

%files devel
%_includedir/*.h
%_includedir/net/*.h
%_libdir/*.so
%_mandir/man?/*

%files devel-static
%_libdir/*.*a

%changelog
* Tue Jun 03 2003 Dmitry V. Levin <ldv@altlinux.org> 2:0.7.2-alt2
- Corrected the timeout handling patch to do it in the packet
  receive loop rather than only once before the loop and to
  return on timeout (Owl).

* Thu Feb 27 2003 Dmitry V. Levin <ldv@altlinux.org> 2:0.7.2-alt1
- Updated to 2:0.7.2-alt1.

* Thu Sep 12 2002 Dmitry V. Levin <ldv@altlinux.org> 2:0.7.1-alt3
- Updated %%post/%%postun scripts.
- Updated devel-static requirements.

* Thu Apr 18 2002 Dmitry V. Levin <ldv@alt-linux.org> 2:0.7.1-alt2
- Added pcap_linux_honor_timeout patch from nmap project
 (slightly modified to avoid pcap-based software breakage).

* Tue Apr 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 2:0.7.1-alt1
- Updated code to 0.7.1 release.
- Moved static library to devel-static subpackage.

* Wed Feb 07 2001 Dmitry V. Levin <ldv@fandra.org> 0.6.2-ipl1mdk
- 0.6.2

* Tue Jan 09 2001 Dmitry V. Levin <ldv@fandra.org> 0.6.1-ipl1mdk
- 0.6.1
- Enabled ipv6 support.

* Fri Sep 01 2000 Dmitry V. Levin <ldv@fandra.org> 0.5.2-ipl1mdk
- 0.5.2

* Fri Jul 21 2000 Dmitry V. Levin <ldv@fandra.org> 0.5-ipl1mdk
- RE and Fandra adaptions.

* Thu Jul 20 2000 Francis Galiegue <fg@mandrakesoft.com> 0.5-1mdk
- 0.5 stable
- Split from tcpdump source to is own source
- %files list cleanup
- Added dynamic lib - dirty hack
- split %name and -devel
